upgrade to plexmediaserver_1.13.0.5023 : fail to start service, b/c file not found [solved]

server-linux

#1

Hi
I'm running on ubuntu 17.10 and was seeing a 1.13 plex upgrade
I tried my usual "wget http://.....deb" then "sudo apt install .....deb", but after that the service didn't start

I looked in the log and journalctl -u plexmediaserver said
"
...Started Plex Media Server for Linux.
.../bin/sh: 1: /usr/lib/plexmediaserver/Plex Media Server: not found
...plexmediaserver.service: Main process exited, code=exited, status=127/n/a
"

went round and round until it hit me... that's not the file that is not found, but the interpreter... I downloaded the wrong version (32 bits instead of 64)

I've seen quite a few question like that in the forum here : make sure you get the right package when installing manually (a bit surprised the dependency to that lib "/lib/ld-linux.so.2" that was missing was not checked in the .deb as "wrong distro dude", I guess I'm too used to RPM at work)

i've seen also that the repository for ubuntu 16+ seems to have been fixed, thanks for that, it seems to work


#2

The 32 bit version runs just fine on a 64 bit system if your system has the 32 bit libraries. Guess you didn’t opt for that compatibility during setup?


#3

Exactly
It was a choice made without much reflection on the matter at install time.
I blindly trusted the dep check on the package and I did a huge miss click on the copy link from the browser.
It was fun to sweat a bit contemplating rollback or uninstalling :slight_smile: